Summary:	Dropbox extension for Nautilus
Summary(pl.UTF-8):	Rozszerzenie Dropbox dla Nautilusa
Name:		nautilus-dropbox
Version:	1.6.1
Release:	1
License:	GPL v2 with exceptions
Group:		X11/Applications
Source0:	http://linux.dropbox.com/packages/%{name}-%{version}.tar.bz2
# Source0-md5:	25e451c53349c0b2e5e83c1499e70d54
Patch0:		dropboxd-path.patch
URL:		http://getdropbox.com/
BuildRequires:	glib2-devel >= 1:2.14.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	libnotify-devel >= 0.4.4
BuildRequires:	nautilus-devel >= 3.0.0
BuildRequires:	pkgconfig
BuildRequires:	python-docutils
BuildRequires:	python-pygtk-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	nautilus >= 3.0.0
Requires:	python-modules
Requires:	python-pygtk-gtk
Requires:	xdg-utils
Suggests:	dropbox
Suggests:	python-pygpgme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dropbox extension for Nautilus used as sync, versioning and backup
software for your local and remote resources between a number of
machines.

%description -l pl.UTF-8
Rozszerzenie Dropbox dla Nautilusa używane do synchronizacji, obsługi
wersji oraz tworzenia kopii zapasowych zasobów lokalnych oraz zdalnych
pomiędzy określonymi maszynami.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--disable-dependency-tracking \
	--enable-static=no \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/dropbox
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libnautilus-dropbox.so
%{_iconsdir}/hicolor/*/*/*.png
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/emblems
%{_datadir}/%{name}/emblems/*.icon
%{_datadir}/%{name}/emblems/*.png
%{_desktopdir}/dropbox.desktop
%{_mandir}/man1/*.1*
%changelog
* Sat Oct 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nautilus-dropbox.git;a=log;h=master

* Sun Apr 06 2014 Elan Ruusamäe <glen@delfi.ee> 9e25fea
- up to 1.6.1

* Mon Sep 30 2013 Caleb Maclennan <caleb@pld-linux.org> b535cc5
- Up to 1.6.0

* Sun Mar 03 2013 Elan Ruusamäe <glen@delfi.ee> 22461b7
- suggest dropbox package

* Sun Dec 23 2012 Elan Ruusamäe <glen@delfi.ee> d8d5b2a
- code style

* Mon Jun 25 2012 Paweł Gołaszewski <blues@pld-linux.org> 7a2247e
- suggests python-pygpgme - complains about that.

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> 55d4293
- Up to 1.4.0

* Wed Apr 11 2012 Paweł Gołaszewski <blues@pld-linux.org> c220411
- rel.2

* Wed Jan 18 2012 Caleb Maclennan <caleb@alerque.com> a155ad8
- Up to 0.7.1

* Thu Apr 21 2011 lisu <lisu@pld-linux.org> c87f3e8
- updated deps

* Thu Apr 21 2011 lisu <lisu@pld-linux.org> 63bf3a6
- new nautilus extensions dir
- use __rm macro
- rel 3

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 36297db
- Requires(post,postun): gtk-update-icon-cache

* Wed Jan 26 2011 Paweł Gołaszewski <blues@pld-linux.org> e91e5ed
- 0.6.7 - new source

* Tue Jul 13 2010 Elan Ruusamäe <glen@pld-linux.org> 89b791a
- release 2

* Thu Jul 08 2010 Elan Ruusamäe <glen@pld-linux.org> ff0312d
- find system dropboxd
- drop bogus wget dep

* Thu Jul 08 2010 Elan Ruusamäe <glen@pld-linux.org> 0c8afc8
- up to 0.6.3

* Tue May 18 2010 sparky <sparky@pld-linux.org> 35c4114
- BR: rpm-pythonprov

* Fri May 07 2010 Sławomir Paszkiewicz <paszczus@pld-linux.org> da2f5de
- added BR: python-pygtk-devel

* Wed May 05 2010 Caleb Maclennan <caleb@alerque.com> 3647643
- up to 0.6.2

* Tue Oct 06 2009 Paweł Gołaszewski <blues@pld-linux.org> c3d74d8
- python-docutils is ok too

* Tue Oct 06 2009 Paweł Gołaszewski <blues@pld-linux.org> 149146e
- 0.6.1

